#part_name="xc7a15tcsg324-1"

## Clock signal Sch name = CLK100MHZ
set_property PACKAGE_PIN P17 [get_ports CLK]							
	set_property IOSTANDARD LVCMOS33 [get_ports CLK]
	create_clock -add -name sys_clk_pin -period 10.00 -waveform {0 5} [get_ports CLK]
 
## LEDs Sch name = sysled
set_property PACKAGE_PIN M16 [get_ports sysled]					
	set_property IOSTANDARD LVCMOS33 [get_ports sysled]

## ACBUS Sch name = ACBUS
set_property PACKAGE_PIN V4 [get_ports RXF]					
	set_property IOSTANDARD LVCMOS33 [get_ports RXF]
set_property PACKAGE_PIN R6 [get_ports TXE]					
	set_property IOSTANDARD LVCMOS33 [get_ports TXE]
set_property PACKAGE_PIN U4 [get_ports RD]					
	set_property IOSTANDARD LVCMOS33 [get_ports RD]
set_property PACKAGE_PIN V2 [get_ports WR]					
	set_property IOSTANDARD LVCMOS33 [get_ports WR]
set_property PACKAGE_PIN V1 [get_ports SIWU]					
	set_property IOSTANDARD LVCMOS33 [get_ports SIWU]
set_property PACKAGE_PIN N5 [get_ports CLKOUT]					
	set_property IOSTANDARD LVCMOS33 [get_ports CLKOUT]
	create_clock -add -name sys_clkout_pin -period 16.66 -waveform {0 5} [get_ports CLKOUT]
set_property PACKAGE_PIN T5 [get_ports OE]					
	set_property IOSTANDARD LVCMOS33 [get_ports OE]
set_property PACKAGE_PIN T3 [get_ports PWRSAV]					
	set_property IOSTANDARD LVCMOS33 [get_ports PWRSAV]
#set_property PACKAGE_PIN P4 [get_ports ACBUS8]					
	#set_property IOSTANDARD LVCMOS33 [get_ports ACBUS8]
#set_property PACKAGE_PIN N4 [get_ports ACBUS9]					
	#set_property IOSTANDARD LVCMOS33 [get_ports ACBUS9]

## Data Sch name = D
set_property PACKAGE_PIN P3 [get_ports {D[0]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[0]}]
set_property PACKAGE_PIN R3 [get_ports {D[1]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[1]}]
set_property PACKAGE_PIN T4 [get_ports {D[2]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[2]}]
set_property PACKAGE_PIN P5 [get_ports {D[3]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[3]}]
set_property PACKAGE_PIN U1 [get_ports {D[4]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[4]}]
set_property PACKAGE_PIN U2 [get_ports {D[5]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[5]}]
set_property PACKAGE_PIN U3 [get_ports {D[6]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[6]}]
set_property PACKAGE_PIN R5 [get_ports {D[7]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {D[7]}]

##Trenz_RS232 Interface
##Sch name = UART_RXD_IN
#set_property PACKAGE_PIN L18 [get_ports Trenz_RX]						
	#set_property IOSTANDARD LVCMOS33 [get_ports Trenz_RX]
	
##Sch name = UART_TXD_OUT
#set_property PACKAGE_PIN M18 [get_ports Trenz_TX]						
	#set_property IOSTANDARD LVCMOS33 [get_ports Trenz_TX]
	
##FT232RL_RS232 Interface
##Sch name = UART_RXD_IN
#set_property PACKAGE_PIN V6 [get_ports FT232RL_RX]						
#	set_property IOSTANDARD LVCMOS33 [get_ports FT232RL_RX]
	
##Sch name = UART_TXD_OUT
#set_property PACKAGE_PIN T6 [get_ports FT232RL_TX]						
#	set_property IOSTANDARD LVCMOS33 [get_ports FT232RL_TX]